package com.ag.secp.platform.microkernel;

import com.ag.secp.platform.spring.SpringContextHolder;
import com.wb.util.WebUtil;
import org.json.JSONObject;
import org.springframework.stereotype.Component;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.HashMap;
import java.util.Map;

/**
 * 测试控制类
 */
@Component
public class CommonDynamicControl {

    public  void  processData(JSONObject object, HttpServletResponse response, HttpServletRequest request){
        MoudleMangerProcess moudleMangerProcess = (MoudleMangerProcess) SpringContextHolder.getBean("moudleMangerProcess");
        Map dataVar = new HashMap();
        dataVar.put("actionname","hello name");
        dataVar.put("actionmethod","hello method");
        dataVar.put("request",request);
      //  moudleMangerProcess.doActionbusiness(dataVar);
        try {
            WebUtil.send(response, "dataa");
        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}
